.
Results 1 to 9 of 9

Thread: Where have the upgrades for older versions gone??

  1. #1
    Join Date
    Nov 2006
    Location
    Australia, Queensland, Jandowae
    Posts
    67
     

    Default Where have the upgrades for older versions gone??

    Hi All,
    Having been away from this site for a year or two, I now see there is no access to older versions of Trainz anymore. In particular,I was looking for patches to the original TRS 2004, of which I have need, but I cant find anything relating to TRS 2004.Yes we have to move on,even I know that,but I thought the company would have made provisions for those of us who might need to access that particular content for our original purchases of years gone by.Sad Really.

  2. #2
    Join Date
    Nov 2006
    Location
    Australia, NSW, Sydney
    Posts
    7,792
    Blog Entries
    3
     

    Default

    Well that is the reality. Virtually all software products have a support lifetime, and that includes operating systems. What saddens me is the number of businesses, including large corporations and governments, that are still relying on obsolete and no longer supported operating systems. They make easy targets for hackers and ransomware.

    I had a look at the My Digital Downloads page of MyTrainz and I could, if I wanted to, re-download the latest full versions of TS12 and T:ANE but nothing earlier. I recently removed T:ANE from my system and the other versions shown in my timeline went years, even decades, ago.

    Look at https://online.ts2009.com/mediaWiki/...e-Cycle_Policy for the Trainz Support Timelines

    Support (and that includes providing software downloads such as patches) ended for TRS 2004 in September 2010.
    Last edited by pware; June 2nd, 2021 at 06:14 PM. Reason: typo
    TRS19 Plus build 111951 and build 113142

  3. #3
    Join Date
    Nov 2006
    Location
    Australia, Qld
    Posts
    6,561
     

    Default

    Nothing should have gone from anywhere (well, not in the last ~8 years or so anyway). While support may end, patches remain available and products that were purchased through our stores from ~2010 onwards are available.

    As for items purchased 10+ years ago, it's up to you to determine if you want a backup or not.
    Tony Hilliam

    Got questions about TRS19? Click here for TRS19 FAQs

    Looking for answers to in-game functionality? Click here for help

  4. #4
    Join Date
    Nov 2008
    Location
    Crewe, Cheshire, UK
    Posts
    17,042
     

    Default

    Google... 2004 SP4 patches.

    https://www.gamepressure.com/download.asp?ID=6989

    All SP4 Patches https://www.lonebullet.com/patches/g...tches-2599.htm

    And probably more out there.
    Malc


  5. #5
    Join Date
    Nov 2006
    Location
    Australia, Queensland, Jandowae
    Posts
    67
     

    Default

    Thanks clam1952. Your help was invaluable.I found what I needed. thanks again. aussierusti

  6. #6
    Join Date
    Nov 2006
    Location
    Australia, Victoria, Melbourne
    Posts
    397
     

    Default

    The TRS 2004 product is very old software and was certainly good in its hey day.
    However don't think that the old TRS 2004 version will not run 100% on a modern PC computer with Windows 10, even in compatibility mode.
    Anyway by memory the screen resolution was only 4:3 format.
    One is to the understanding that the TRS 2004 layouts supplied with the game are now available on the Trainz DLS so that they can be downloaded and installed in TS12.
    Personally recommend use a minimum TS12 version.

  7. #7
    Join Date
    Nov 2008
    Location
    Crewe, Cheshire, UK
    Posts
    17,042
     

    Default

    The 2004 Trainz Demo runs in Win10 so presumably the full version will as well.
    Malc


  8. #8
    Join Date
    Nov 2006
    Location
    United States of America, Massachusetts, Haverhill
    Posts
    29,749
     

    Default

    I've gotten TRS2004 to run nicely in Windows 10. TRS2006, on the other hand, is picky due to network drivers and tends to hang when using CMP. Like all older, meaning pre-TANE versions, the program needs to run as administrator.
    John
    Trainz User Since: 12-2003
    Trainz User ID: 124863
    T:ANE Build: 94829
    TRS2019/Trainz-PLUS: 109641

  9. #9
    Join Date
    Nov 2006
    Location
    United States of America, South Jersey
    Posts
    2,065
    Blog Entries
    1
     

    Default

    I searched for the TRS04 SP4 patch last year and didn't find a thing. Couple weeks ago I searched again and found the gamepressure link Clam1952 listed. It didn't just pop up - it's been there for years but I missed it some how. I dl'd it and it works. It updates TRS04 v668 to v2365 (SP4). If you don't have v668 it probably won't work.

    I have the original v668 game and the SP2 patch and they've been installed and running on every version of MS windows I've used over the last 17 years. I apparently lost the dvd I stored the other patches on. I wanted SP4 because TransDem outputs in TB 2.4 for TRS04 and I got tired of editing the configs to 2.2 (100's of utm tiles) - among other things. I had no trouble getting 04 to run in win10. It doesn't recognize the newer display resolutions but you can play with the settings and make additional changes in the trainzoptions.txt file. I'm running with -width=1920 and -height=1080 set.

    My one big complaint is the restricted field of view the old versions of Trainz have. There's a program that will reset the view distance but it doesn't seem to allow the camera to get further above the terrain - just see further. I find that annoying when working in Surveyor.

    Bob Pearson
    Last edited by RPearson; June 3rd, 2021 at 01:17 PM.
    TRAINZ-UTC-TRS04-TRS06-TC1&2-TC3-TS09-TS10-TS12-TANE(TEG)-TMR17-TRS19
    Member since 6-14-2002

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •